# TODO: váhy pravidel kvůli řazení stromů
# TODO: head=True na označení hlavy pro závislostní výstup

from .cz_adverbials import rules as adverbials
from .cz_clitics import rules as clitics
from .cz_interpositions import rules as interpositions
from .cz_nominals import rules as nominals
from .cz_punctuation import rules as punctuation
from .cz_sentences import rules as sentences
from .cz_verbals import rules as verbals


rules = (sentences + verbals + nominals + clitics + adverbials + interpositions
         + punctuation)


# Eva Mráková – disertační práce
# „Parciální syntaktická analýza češtiny“ (2002)
# parciální analyzátor, DCG, VP
# neprojektivní konstrukce
# (malý jsme měli stan)
# on by [se ti na to] podíval
# budu + inf, jsem + -l
# gaps (přetržky)
# > 20 % analytických, přetržených VP
# S → V[fin]
# S → V[modální]
