# jmenné skupiny

rules = [
    # pro zajímavost klidně zkopírovat i k=1 jako slovní zařazení hlavy
    '(NP c g n) → (k=1 c g n)',

    '(NP c g n) → (k=2 c g n) (NP c g n)',

    # dvě možnosti – ale omezit rekurzi…
    '(NP c g n) → (k=4 c g n) (NP c g n)',

    # pozor, „to“ má myslím menší požadavky na vztažnou větu (na rozdíl od
    # „ten“, „ta“ atd.
    '(NP c g n) → (k=3 c g n lemma="ten|všechen")',

    # TODO: a co pád toho „který“?
    '(NP c g n z) → (NP c g n z) (ATTR_CLAUSE g n)',

    # On je pytel blech.
    '(NP g n c) → (k=3 lemma=on g n c)',  # on/ona/ono – ale pozor, ?blbý on
    '(NP g n c) → (NP g n c) (NP c=2)',  # pytel blech

    # Mařenka s Jeníčkem (si pěkně hráli)
    '(NP) → (NP) (word=s) (NP c=7)',

    # Utkání ve skupinách (mají tyto další termíny)
    '(NP) → (NP) (PP)',

    # rok 1994
    '(NP) → (lemma="rok") (k=4)',

    # 117 milionů
    '(NP) → (k=4) (NP c=2)',
    '(NP) → (k=4)',

    # (strašně) hladoví
    '(ADJP) → (k=2)',
    '(ADJP) → (k=6) (ADJP)',

    # i/nejen potřebné informace
    '(NP c g n) → (word="i|nejen") (NP c g n)',

    # tento (a ostatní ukazovací zájmena) úřad
    '(NP c g n) → (k=3 x=D c g n) (NP c g n)',
]
